## org.apache.cassandra.db.marshal
Class AbstractCompositeType.CompositeComponent

    java.lang.Object
      org.apache.cassandra.db.marshal.AbstractCompositeType.CompositeComponent

Enclosing class:
  AbstractCompositeType

    public static class AbstractCompositeType.CompositeComponent

extends java.lang.Object

Field Summary
`AbstractType` `comparator`
`java.nio.ByteBuffer` `value`

Constructor Summary
`AbstractCompositeType.CompositeComponent(AbstractType comparator, java.nio.ByteBuffer value)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### comparator

    public AbstractType comparator

### value

    public java.nio.ByteBuffer value

Constructor Detail

### AbstractCompositeType.CompositeComponent

    public AbstractCompositeType.CompositeComponent(AbstractType comparator,
                                                    java.nio.ByteBuffer value)

Copyright © 2012 The Apache Software Foundation